(function() {(window.nunjucksPrecompiled = window.nunjucksPrecompiled || {})["uoe-cookies-banner.njk"] = (function() {
function root(env, context, frame, runtime, cb) {
var lineno = 0;
var colno = 0;
var output = "";
try {
var parentTemplate = null;
output += "<div class=\"cookie-container\">\n  <div class=\"cookie-row\">\n    <div class=\"cookie-col-single\">\n      <h3 class=\"cookie-heading\">";
output += runtime.suppressValue(runtime.contextOrFrameLookup(context, frame, "heading"), env.opts.autoescape);
output += "</h3>\n    </div>\n    <div class=\"cookie-col-double\">\n      ";
frame = frame.push();
var t_3 = runtime.contextOrFrameLookup(context, frame, "text");
if(t_3) {t_3 = runtime.fromIterator(t_3);
var t_2 = t_3.length;
for(var t_1=0; t_1 < t_3.length; t_1++) {
var t_4 = t_3[t_1];
frame.set("para", t_4);
frame.set("loop.index", t_1 + 1);
frame.set("loop.index0", t_1);
frame.set("loop.revindex", t_2 - t_1);
frame.set("loop.revindex0", t_2 - t_1 - 1);
frame.set("loop.first", t_1 === 0);
frame.set("loop.last", t_1 === t_2 - 1);
frame.set("loop.length", t_2);
output += "\n        <p>";
output += runtime.suppressValue(t_4, env.opts.autoescape);
output += "</p>\n      ";
;
}
}
frame = frame.pop();
output += "\n      <ul class=\"cookie-actions\">\n        <li><button type=\"button\" class=\"cookie-btn cookie-btn-secondary\" data-cookie-save-default>I'm OK with that</button></li>\n        <li><button type=\"button\" class=\"cookie-btn cookie-btn-secondary\" data-cookie-change>Edit my options</button></li>\n      </ul>\n    </div>\n    <div class=\"cookie-col-single\">\n    </div>\n  </div>\n</div>\n";
if(parentTemplate) {
parentTemplate.rootRenderFunc(env, context, frame, runtime, cb);
} else {
cb(null, output);
}
;
} catch (e) {
  cb(runtime.handleError(e, lineno, colno));
}
}
return {
root: root
};

})();
})();
(function() {(window.nunjucksPrecompiled = window.nunjucksPrecompiled || {})["uoe-cookies-lid.njk"] = (function() {
function root(env, context, frame, runtime, cb) {
var lineno = 0;
var colno = 0;
var output = "";
try {
var parentTemplate = null;
output += "<button type=\"button\" class=\"cookie-btn cookie-btn-secondary cookie-btn-sm\" data-cookie-change>Change cookie settings</button>\n";
if(parentTemplate) {
parentTemplate.rootRenderFunc(env, context, frame, runtime, cb);
} else {
cb(null, output);
}
;
} catch (e) {
  cb(runtime.handleError(e, lineno, colno));
}
}
return {
root: root
};

})();
})();
(function() {(window.nunjucksPrecompiled = window.nunjucksPrecompiled || {})["uoe-cookies-overlay.njk"] = (function() {
function root(env, context, frame, runtime, cb) {
var lineno = 0;
var colno = 0;
var output = "";
try {
var parentTemplate = null;
output += "<div class=\"cookie-overlay embed-responsive-item\">\n    <div class=\"cookie-container\">\n        <div class=\"cookie-row\">\n            <div class=\"cookie-col-single\">\n                <h3 class=\"cookie-heading\">Cookies on the University of Edinburgh Website</h3>\n                <p>\n                    Your consent is needed for content delivered by non-University companies.\n                </p>\n                <p>\n                    Viewing this content will result in cookies being set on your device and will result in some\n                    information about your visit being saved. By accepting this you agree for this information\n                    to be shared with these non-University companies.\n                </p>\n                ";
if(runtime.contextOrFrameLookup(context, frame, "link")) {
output += "\n                <p>\n                    <a class=\"cookie-link\" href=\"";
output += runtime.suppressValue(runtime.memberLookup((runtime.contextOrFrameLookup(context, frame, "link")),"url"), env.opts.autoescape);
output += "\">";
output += runtime.suppressValue(runtime.memberLookup((runtime.contextOrFrameLookup(context, frame, "link")),"label"), env.opts.autoescape);
output += "</a>\n                </p>\n                ";
;
}
output += "\n                <button type=\"button\" class=\"cookie-btn cookie-btn-primary cookie-btn-overlay\">Accept and view</button>\n            </div>\n        </div>\n    </div>\n</div>\n";
if(parentTemplate) {
parentTemplate.rootRenderFunc(env, context, frame, runtime, cb);
} else {
cb(null, output);
}
;
} catch (e) {
  cb(runtime.handleError(e, lineno, colno));
}
}
return {
root: root
};

})();
})();
(function() {(window.nunjucksPrecompiled = window.nunjucksPrecompiled || {})["uoe-cookies-preferences.njk"] = (function() {
function root(env, context, frame, runtime, cb) {
var lineno = 0;
var colno = 0;
var output = "";
try {
var parentTemplate = null;
output += "<div class=\"cookie-container\">\n  <div class=\"cookie-row\">\n    <div class=\"cookie-col-single\">\n      <h3 class=\"cookie-heading\">";
output += runtime.suppressValue(runtime.contextOrFrameLookup(context, frame, "heading"), env.opts.autoescape);
output += "</h3>\n    </div>\n    <div id=\"cookiePrefs\" class=\"cookie-col-double\">\n      ";
frame = frame.push();
var t_3 = runtime.contextOrFrameLookup(context, frame, "explanation");
if(t_3) {t_3 = runtime.fromIterator(t_3);
var t_2 = t_3.length;
for(var t_1=0; t_1 < t_3.length; t_1++) {
var t_4 = t_3[t_1];
frame.set("group", t_4);
frame.set("loop.index", t_1 + 1);
frame.set("loop.index0", t_1);
frame.set("loop.revindex", t_2 - t_1);
frame.set("loop.revindex0", t_2 - t_1 - 1);
frame.set("loop.first", t_1 === 0);
frame.set("loop.last", t_1 === t_2 - 1);
frame.set("loop.length", t_2);
output += "\n        ";
if(runtime.memberLookup((t_4),"heading")) {
output += "\n          <h4 class=\"cookie-heading\">";
output += runtime.suppressValue(runtime.memberLookup((t_4),"heading"), env.opts.autoescape);
output += "</h4>\n        ";
;
}
output += "\n        <p>";
output += runtime.suppressValue(runtime.memberLookup((t_4),"text"), env.opts.autoescape);
output += "\n          ";
if(runtime.memberLookup((t_4),"link")) {
output += "\n          <a class=\"cookie-link\" href=\"";
output += runtime.suppressValue(runtime.memberLookup((runtime.memberLookup((t_4),"link")),"url"), env.opts.autoescape);
output += "\">";
output += runtime.suppressValue(runtime.memberLookup((runtime.memberLookup((t_4),"link")),"label"), env.opts.autoescape);
output += "</a></p>\n          ";
;
}
output += "\n        </p>\n      ";
;
}
}
frame = frame.pop();
output += "\n      <div class=\"cookie-settings\">\n      ";
frame = frame.push();
var t_7 = runtime.contextOrFrameLookup(context, frame, "settings");
if(t_7) {t_7 = runtime.fromIterator(t_7);
var t_6 = t_7.length;
for(var t_5=0; t_5 < t_7.length; t_5++) {
var t_8 = t_7[t_5];
frame.set("setting", t_8);
frame.set("loop.index", t_5 + 1);
frame.set("loop.index0", t_5);
frame.set("loop.revindex", t_6 - t_5);
frame.set("loop.revindex0", t_6 - t_5 - 1);
frame.set("loop.first", t_5 === 0);
frame.set("loop.last", t_5 === t_6 - 1);
frame.set("loop.length", t_6);
output += "<div class=\"cookie-control cookie-check cookie-check-inline ";
output += runtime.suppressValue(runtime.memberLookup((t_8),"cssClass"), env.opts.autoescape);
output += "\">\n          <input type=\"radio\" name=\"edgel-cookie-setting\" class=\"cookie-check-input\"\n              id=\"edgel-cookie-setting-";
output += runtime.suppressValue(runtime.memberLookup((runtime.contextOrFrameLookup(context, frame, "loop")),"index"), env.opts.autoescape);
output += "\" value=\"";
output += runtime.suppressValue(runtime.memberLookup((t_8),"merged"), env.opts.autoescape);
output += "\"";
if(runtime.memberLookup((t_8),"selected")) {
output += " checked ";
;
}
output += " data-cookie-choice />\n          <label class=\"cookie-check-label\" for=\"edgel-cookie-setting-";
output += runtime.suppressValue(runtime.memberLookup((runtime.contextOrFrameLookup(context, frame, "loop")),"index"), env.opts.autoescape);
output += "\">";
output += runtime.suppressValue(runtime.memberLookup((t_8),"label"), env.opts.autoescape);
output += "</label>\n        </div>";
;
}
}
frame = frame.pop();
output += "\n      </div>\n      <div class=\"cookie-actions\">\n        <button id=\"edgel-cookie-btn-save-settings\" type=\"button\"\n            ";
if(!runtime.contextOrFrameLookup(context, frame, "oneOptionSelected")) {
output += " disabled ";
;
}
output += "\n            class=\"cookie-btn cookie-btn-primary\" data-cookie-save>Save settings</button>\n      </div>\n    </div>\n    <div class=\"cookie-col-single\">\n    </div>\n  </div>\n</div>\n";
if(parentTemplate) {
parentTemplate.rootRenderFunc(env, context, frame, runtime, cb);
} else {
cb(null, output);
}
;
} catch (e) {
  cb(runtime.handleError(e, lineno, colno));
}
}
return {
root: root
};

})();
})();
